from __future__ import print_function

try:
    import pkg_resources
    VERSION = pkg_resources.get_distribution("infinishell").version
except:
    from infi.shell.__version__ import __version__ as VERSION
    import sys
    print("Unable to get version from Distribute, using hard-coded version name.", file=sys.stderr)

class _Debug(object):
    _debug = False
    def on(self): self._debug = True
    def off(self): self._debug = False
    def is_on(self): return self._debug
    def __str__(self): return "Debug: {}".format(self._debug)
debug = _Debug()
del _Debug
