from infi.shell.commands import commandgroup, command, internal
from infi.shell.commands.types import Str
from infi.shell.rlcontext import get_raw_input_functions

from ..system import system

@commandgroup(prefix="")
class GeneralCommands(object):
    @internal
    @command(types=(Str,))
    def login(self, _api, username=None):
        raw_input, getpass = get_raw_input_functions()
        if not username:
            username = raw_input("Username: ")
        password = getpass()
        system.login(username, password)
