""" Import this module to merge InfiniShell's configuration into the
infrastructure config module. """

from infi.shell.config import default_config, config  # noqa

default_config.update(
        default_address=None,
        auto_confirm_prompts=False,
        api_port=80,
        api_ssl_port=443,
        api_ssl=True,
        api_ssl_verify_certificate=False,
        api_request_timeout_seconds=30,
        api_default_page_size=50,
        api_default_search_page_size=200,
        api_max_page_size=1000,
        csv_output=False,
    )
