class User(object):
    def __init__(self, attributes):
        self.attributes = attributes
        self.role = Role(attributes.role)
    @property
    def username(self):
        return self.attributes.uid
    @property
    def email(self):
        return self.attributes.email

class Role(object):
    INFINIDAT = 'INFINIDAT'
    ADMIN = 'ADMIN'
    def __init__(self, name):
        self.name = name.upper()
    def is_role(self, name):
        return self.name == name.upper()
    def is_infinidat(self):
        return self.name == self.INFINIDAT
    def is_admin(self):
        return self.name == self.ADMIN
    def __repr__(self):
        return '<Role {}>'.format(self.name)
    def __hash__(self):
        return hash(self.name) ** 3
    def __eq__(self, other):
        return isinstance(other, type(self)) and other.name == self.name
