from infi.shell.formatters import DecamelizeExceptionFormatter
from .exceptions import ManagementException

class InfinidatExceptionFormatter(DecamelizeExceptionFormatter):
    def format(self, exc_info):
        if exc_info[0] == ManagementException:
            return self._format_mgmt_exc(exc_info)
        return super(InfinidatExceptionFormatter, self).format(exc_info)
    def _format_mgmt_exc(self, exc_info):
        return "{e.code}: {e.message}".format(e=exc_info[1])
