from colorama import Fore, Style
from infi.shell.shell import Shell

PRIMARY_COLOR, SECONDARY_COLOR = [Fore.CYAN], [Fore.CYAN, Style.BRIGHT]
CUSTOM_BANNER_PARTS = (
    ("For help on all commands, type '", PRIMARY_COLOR),
    ("help", SECONDARY_COLOR),
    ("'.\n", PRIMARY_COLOR),
    ("For help on a specific command, e.g: '", PRIMARY_COLOR),
    ("volume.create?", SECONDARY_COLOR),
    ("'\n\n", PRIMARY_COLOR),
    )

class InfiniboxShell(Shell):
    def _on_start(self):
        for text, colors in CUSTOM_BANNER_PARTS:
            self.output(text, colors=colors, nl=False)
